$(document).ready(function() {
    window.___gcfg = {
        lang: 'cs'
    };

    if (!isCookieEnabled()) {
        $("#floatingBanner").show();
        $("#cookiesAgreement").hide();
    } else {
        checkCookiesAgreement();
    }

    $("#cookiesAgreement .btn.btn-agree").click(function() {
        $.cookie("cookiesAgreement", true, {
            expires: 365,
            path: '/'
        });
        checkCookiesAgreement();
    });

    (function() {
        var po = document.createElement('script');
        po.type = 'text/javascript';
        po.async = true;
        po.src = 'https://apis.google.com/js/plusone.js';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(po, s);
    })();

    $("#category-tabs div.tab a").click(switch_category_tabs);
    $("div.filters fieldset legend").click(show_filter_form);
    $("div.parameters input.param").click(show_price_param);

    $(".chose_mode").click(hide_user_reg_form);
    hide_user_reg_form();
    //$(".chose_mode").trigger('click');

    $(".delivery_chose").click(hide_d_address_form);
    hide_d_address_form();
    //$(".delivery_chose").trigger('change');

    $(".billing_chose").click(hide_b_address_form);
    hide_b_address_form();
    $(".billing_chose").trigger('change');

    set_up_order_steps();
    hide_producers_filter();

    //Make JS tabs from structure with class tabs
    $(".tabs").tabs({
        event: 'click',
        selected: 0
    });

    $('#login-login,label[for="login-login"]').click(function() {
        var label = $("#login-login").parents('div:first').find('label:first');
        if (label.text() != '')
            label.attr('txt', label.text());
        label.text('');
    });
    $('#login-login').blur(function() {
        if ($(this).val() == '') {
            var label = $("#login-login").parents('div:first').find('label:first');
            label.text(label.attr('txt'));
        }
    });
    $('#login-password,label[for="login-password"]').click(function() {
        var label = $("#login-password").parents('div:first').find('label:first');
        if (label.text() != '')
            label.attr('txt', label.text());
        label.text('');
    });
    $('#login-password').blur(function() {
        if ($(this).val() == '') {
            var label = $("#login-password").parents('div:first').find('label:first');
            label.text(label.attr('txt'));
        }
    });

    $('.image').mouseover(function() {
        $(this).parent('.pimage').children('.zoom').children('a').css('background-image', "url('{$web_path}/images/zoom-hover.png')")
    });
    $('.image').mouseout(function() {
        $(this).parent('.pimage').children('.zoom').children('a').css('background-image', "url('{$web_path}/images/zoom.png')")
    });


    // All elemnts with this class submit form in change state
    $(".auto_submit").change(function() {
            $(this).parents('form').submit();

        })
        //LightBox for all link with target image
    $('a[href$="jpg"], a[href$="jpeg"], a[href$="gif"], a[href$="png"], a[href$="JPG"], a[href$="JPEG"], a[href$="GIF"], a[href$="PNG"]').fancybox();


    // OPACITY OF BUTTON SET TO 0%
    $(".roll").css("opacity", "0");

    $(".roll").mouseover(function() {
        $(this).stop().animate({
            opacity: .5
        }, "fast");
    });
    $(".roll").mouseout(function() {
        $(this).stop().animate({
            opacity: 0
        }, "fast");
    });

    $('.product-list tr').each(function() {
        var highest = 0;
        $('td.product-box .text', this).each(function() {
            if ($(this).height() > highest)
                highest = $(this).height();
        });

        $('td.product-box .text', this).height(highest);
    });
});

function isCookieEnabled() {
    if (navigator.cookieEnabled) return true;
    document.cookie = "cookietest=1";
    var ret = document.cookie.indexOf("cookietest=") != -1;
    document.cookie = "cookietest=1; expires=Thu, 01-Jan-1970 00:00:01 GMT";
    return ret;
}

function checkCookiesAgreement() {
    if (($.cookie('cookiesAgreement') === null || !$.cookie('cookiesAgreement')) && isCookieEnabled()) {
        $("#cookiesAgreement").show();
        return false;
    } else {
        $("#cookiesAgreement").hide();
        return true;
    }
}

/**
 * Method to hide/show some elements in order step3 registration form
 */
function hide_d_address_form() {
    var target = $(".delivery_chose:checked");
    var tr = target.parents('tr');

    //alert(target.val());

    switch (target.val()) {
        case 'exist_address':
            tr.nextAll(':lt(1)').show();
            tr.nextAll(':gt(0)').hide();
            break;
        case 'new_address':
            tr.nextAll(':lt(1)').hide();
            tr.nextAll(':gt(0)').show();
            break;
    }

}

/**
 * Method to hide/show some elements in order step3 registration form
 */
function hide_b_address_form() {
    var target = $(".billing_chose:checked");

    var tr = target.parents('tr');

    switch (target.val()) {
        case 'same_delivery':
            tr.nextAll().hide();
            break;
        case 'exist_address':
            tr.nextAll(':lt(1)').show();
            tr.nextAll(':gt(0)').hide();
            break;
        case 'new_address':
            tr.nextAll(':lt(1)').hide();
            tr.nextAll(':gt(0)').show();
            break;
    }
}

/**
 * Function for order steps icons manipulation
 */
function set_up_order_steps() {
    $('.step-icon').each(function() {
        if ($(this).hasClass('active')) {
            var prevstep = $(this).prev();
            prevstep.addClass('clickable');
            prevstep.click(function() {
                window.location.href = $('.back_edit').attr('href')
            });
            var nextstep = $(this).next();
            nextstep.addClass('clickable');
            nextstep.click(function() {
                $(".nextstep").click();
            });
            return;
        }
    });
}

/**
 * Method to hide/show some elements in order step1 registration form
 */
function hide_user_reg_form() {
    var target = $(".chose_mode:checked");
    var tr = target.parents('tr');

    switch (target.val()) {
        case 'register':
            tr.nextAll(':gt(4)').show();
            break;
        case 'non_register':
            tr.nextAll(':gt(4)').hide();
            break;
    }
}

/**
 * Transfer goods params to detail box
 */
function show_price_param() {
    var param_value = $(this).val();
    $('td.data div.content tr:not(.under-price) span.price').text(prices[param_value]['price_vat']);
    $('td.data div.content tr:not(.under-price) span.price-without-vat').text(prices[param_value]['price']);
    $('td.data div.content tr:not(.under-price) span.price-price-default').text(prices[param_value]['price_default']);
    $('td.data div.content tr:not(.under-price) span.price-normal-vat').text(prices[param_value]['price_normal']);
    $('td.data div.content tr:not(.under-price) span.code').text(prices[param_value]['code']);
    $('td.data div.content tr:not(.under-price) span.availability').text(prices[param_value]['availability']);
    $('.pimage .image.default a img').attr('src', prices[param_value]['image_preview']);
}
/**
 * The method hides the box producers, unless none selected
 */
function hide_producers_filter() {
    var hide = true;
    $("div.producer-box fieldset input").each(function() {
        if ($(this).get(0).checked) {
            hide = false;
            return;
        }
    });
    if (hide) {
        $("div.producer-box fieldset").toggleClass('closed');
        $("div.producer-box fieldset div").toggleClass('hidden');
    }
}
/**
 * Method to hide/show content "fieldset"
 */
function show_filter_form() {
    $(this).toggleClass('closed');
    $(this).parent('fieldset').find("div").toggleClass('hidden');
}
/**
 * Method used for switching tabs categories and producers
 */
function switch_category_tabs() {
    $(this).blur();
    if (!$(this).parents('div').hasClass('active')) {
        $("#category-tabs div.tab").each(function() {
            $(this).toggleClass('active');
            id = $(this).attr('id');
            $("#div-" + id).toggleClass('active');
        });
    }
    return false;
}

function redirect(url, message) {
    if ('' == message) {
        $.fancybox.showActivity('redirect');
    }

    $.fancybox(
        '<p>' + message + '</p>', {
            'autoDimensions': false,
            'width': 350,
            'height': 'auto',
            'transitionIn': 'none',
            'transitionOut': 'none',
            'hideOnOverlayClick': false,
            'showNavArrows': false,
            'enableEscapeButton': false,
            'showCloseButton': false
        }
    );

    window.location = url;
}

/***
 * Balik na postu (step2)
 */

// auto iframe height
// source: http://www.dyn-web.com/tutorials/iframes/height.php
function getDocHeight(doc) {
    doc = doc || document;
    // stackoverflow.com/questions/...
    var body = doc.body,
        html = doc.documentElement;
    var height = Math.max(body.scrollHeight, body.offsetHeight,
        html.clientHeight, html.scrollHeight, html.offsetHeight);
    return height;
}

// auto iframe height
// source: http://www.dyn-web.com/tutorials/iframes/height.php
function setIframeHeight(id) {
    var ifrm = document.getElementById(id);
    var doc = ifrm.contentDocument ? ifrm.contentDocument :
        ifrm.contentWindow.document;
    ifrm.style.visibility = 'hidden';
    ifrm.style.height = "160px"; // reset to minimal height ...
    ifrm.style.height = getDocHeight(doc) + "px";
    ifrm.style.visibility = 'visible';
}

function balikNaPostu() {
    if ($('#balik-na-postu')) {
        var psc = $('#balik-na-postu').contents().find('input[name=balik_na_postu_psc]').val();
        if (psc != 'undefined') {
            $('input#balik_na_postu').val(psc);
        }
    }
}
